Summary:     Multi-user conferencing module for the jabber server
Name:        jabber-muc
Version:     0.6.1pre
Release:     12.pp
License:     JOSL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/mu-conference/mu-conference-%{version}.tar.gz
Source1:     jabberd-muc.init
Source2:     muc.xml
Patch0:      mu-conference-%{version}-make.patch
URL:         http://mu-conference.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peregrine <jabber@pere.legend.uk.com>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    jabber >= 1.4.4 perl
Requires:    glib2
Conflicts:   jabber-conference
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: jabber >= 1.4.4 glib2-devel
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the multi-user conferencing module.


%prep
%setup -q -n mu-conference
%patch0 -p1
mv scripts/README scripts/README.scripts


%build
export CFLAGS="$RPM_OPT_FLAGS"
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib
install -m 0755 src/*.so $RPM_BUILD_ROOT/usr/jabber/lib
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-muc
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/jabber/muc.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/muc.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/muc.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-muc
install -m 0755 scripts/*.pl $RPM_BUILD_ROOT/usr/jabber/bin


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/*.xml
/sbin/chkconfig --add jabberd-muc
/sbin/chkconfig jabberd-muc on
if [ -s /etc/jabber/muc.xml ]; then
   if [ -f /var/lock/subsys/jabberd-muc ]; then
      /etc/rc.d/init.d/jabberd-muc restart
   else
      /etc/rc.d/init.d/jabberd-muc start
   fi
else
   echo "Multi-user conferencing installed. Please consult the README for configuration details."
   echo "Don't forget to create a directory named <conference-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-muc off
  /sbin/chkconfig --del jabberd-muc
   if [ -f /var/lock/subsys/jabberd-muc ]; then
      /etc/rc.d/init.d/jabberd-muc stop
   fi
fi


%postun
if [ $1 = 0 ]; then
  echo "Conferencing deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ README* TODO scripts/README*
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Thu Jul 14 2005 peter.pramberger@member.fsf.org
- updated for jabber 1.4.4
- removed package devel

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Sun Nov 16 2003 peter.pramberger@member.fsf.org
- new version 0.6.0

* Tue Jul 01 2003 peter.pramberger@member.fsf.org
- created from jabber-conference

